/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2004, 2005                                        */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

import com.installshield.wizard.*;
import com.installshield.wizard.service.*;
import com.installshield.util.*;
import com.installshield.product.service.product.*;
import java.io.*;

public class STAFUninstallExistingSTAFProc extends WizardAction
{
    private String uninstaller = "";
    
    public void execute(WizardBeanEvent event)
    {
        String fileSep = System.getProperty("file.separator");
        String platform = Platform.currentPlatform.toString();

        if (platform.indexOf("name=\"Windows") > -1)
        {
            uninstaller = resolveString("$P(absoluteInstallLocation)") + 
                fileSep + "_uninst" + fileSep + "uninstaller.exe -silent";
        }
        else
        {
            uninstaller = resolveString("$P(absoluteInstallLocation)") + 
                fileSep + "_uninst" + fileSep + "uninstaller.bin -silent";
        }

        try
        {
            Process pid = Runtime.getRuntime().exec(uninstaller);
            pid.waitFor();
        }
        catch (InterruptedException ex)
        {
            ex.printStackTrace();
        }
        catch (IOException ex)
        {
            ex.printStackTrace();
        }
    }

}