<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><a name=top><h1>STAF V3 Documentation</h1></center>

<p>
The following documentation is provided for the current versions of STAF V3 and STAX V3.
If you want to view documentation for STAF V2, go to the <a href="docs2x.php">
STAF V2 Documentation</a> page instead.
<p>
<ul>
  <li><a href="current/STAFFAQ.htm">STAF V3 Frequently Asked Questions (FAQ)</a><br>
  Contains frequently asked questions and answers about STAF and STAX.  You should check the
  FAQ before submitting a question to a STAF Help forum or mailing list.
  <p>
  <li><a href="current/STAFGS.pdf">Getting Started with STAF V3 (PDF)</a><br>
  Gets you started using STAF.  It guides you through many common tasks that are performed when using
  STAF, including a detailed examination of a demo which shows how you can instrument and leverage 
  STAF in your testing.
  <p>
  <li><a href="current/STAFUG.htm">STAF V3 User's Guide (HTML)</a><br>
  Contains detailed information on how to set up STAF and use STAF commands and Services.  Contains
  in-depth information including service command syntax and return codes.
  <p>
  <li><a href="current/stafmigrate.html">STAF V3 Migration Guide (HTML)</a><br>
  Contains important information for existing STAF V2.x users that should be read before
  migrating to STAF V3.
  <p>
  <li><a href="current/staxgs.pdf">Getting Started with STAX V3 (PDF)</a><br>
  Gets you started using STAX.  It guides you through many common tasks that are performed when using
  STAX, including getting started running a STAX job and to create a STAX XML document.
  <p>
  <li><a href="current/staxug.pdf">STAX V3 User's Guide (PDF)</a><br>
  Contains detailed information on how to configure and use the STAX service.  Contains
  in-depth information including syntax for creating STAX XML documents, how to use the
  STAX Monitor, and examples of STAX XML documents.
  <p>
  <li><a href="current/STAXDoc.pdf">STAXDoc User's Guide (PDF)</a><br>
  STAXDoc is used to generate documentation for your STAX xml files.
  As you grow your library of STAX functions, you will probably find it useful
  to document the STAX functions to make it easier to reuse them and share
  them with other test groups.
  <p>
  <li><a href="current/STAFCMDS.htm">STAF V3 Service Command Reference (HTML)</a><br>
  Contains a quick reference to the syntax of the service commands.
  <p>
  <li><a href="current/STAFRC.htm">STAF V3 API Return Code Reference (HTML)</a><br>
  Contains a quick reference to the STAF return codes.
  <p>
  <li><a href="current/STAFJava.htm">STAF Java User's Guide (HTML)</a><br>
  This document describes STAF's V3 support for the Java language.  It includes
  information on the core STAF Java APIs as well as the wrappers provided for 
  the Monitor and Log services.
  <p>
  <li><a href="current/STAFAnt.htm">STAF Ant Task User's Guide (HTML)</a><br>
  This document describes how to use the STAF Ant Task to call into the
  STAF framework from within an Ant build script.
  <p>
  <li><a href="current/STAFPerl.htm">STAF Perl User's Guide (HTML)</a><br>
  This document describes STAF's V3 support for the Perl language.  It includes
  information on the core STAF Perl APIs as well as the wrappers provided for
  the Monitor and Log services.
  <p>
  <li><a href="current/STAFPython.htm">STAF Python User's Guide (HTML)</a><br>
  This document describes STAF's V3 support for the Python language.  It includes
  information on the core STAF Python APIs as well as the wrappers provided for
  the Monitor and Log services.
  <p>
  <li><a href="current/STAFTcl.htm">STAF Tcl User's Guide (HTML)</a><br>
  This document describes STAF's V3 support for the Tcl language.  It includes
  information on the core STAF Tcl APIs as well as the wrappers provided for 
  the Monitor and Log services.
  <p>
  <li><a href="current/stafdg.html">STAF V3 Developer's Guide (HTML)</a><br>
  Contains detailed information on how to build STAF.  It will walk you through
  the process of obtaining the STAF source code and setting up your build environment.
  STAF developers are the intended audience for this document.
  <p>
  <li><a href="current/stafsdg.html">STAF V3 Service Developer's Guide (HTML)</a><br>
   This document describes how you create STAF services, and includes
   implementation of a sample service in both Java and C++.
  <p>
  <li><a href="current/staxdg.html">STAX V3 Extensions Developer's Guide (HTML)</a><br>
   This document describes how you create extensions for STAX.&nbsp;
   Extensions to the STAX service can be written which define new elements
   that can be used in a STAX xml file. In addition, extensions to the STAX
   Monitor can be written which define new plug-in views which can be displayed
   via the STAX Monitor. 
</ul>

<h3>STAF Technical Papers</h3>
<ul>
  <li><a href="http://www.research.ibm.com/journal/sj/411/rankin.html">STAF Technical
  Overview</a><br>
  This paper describes how STAF evolved to address the issues of reuse and
  automation for test organizations.  It also describes the design of STAF 
  and how STAF was employed to automate a resource-intensive test suite used
  by an actual testing organization within IBM.
  <p>
  <li><a href="http://www.research.ibm.com/journal/sj/411/williams.html">STCL 
  Test Tools Architecture</a><br>
  This paper discusses the requirements for a Test Tools architecture formulated by
  Software Test Community Leaders (STCL) in IBM.  STAF is discussed in this paper.
 </ul>

<p>

</td>
</tr>

<!-- end of text for page -->

<?php
require "bottom.php";
?>

</body>
</html>
